Package org.drinkless.tdlib

# Class TdApi.SearchCallMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundMessages>
org.drinkless.tdlib.TdApi.SearchCallMessages

Enclosing class:
  `TdApi`

public static class TdApi.SearchCallMessages extends TdApi.Function<TdApi.FoundMessages>
Searches for call and group call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of messages to be returned; up to 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `boolean`
  `onlyMissed`
  Pass true to search only for messages with missed/declined calls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchCallMessages()`
  Default constructor for a function, which searches for call and group call messages.
  `SearchCallMessages(String offset, int limit, boolean onlyMissed)`
  Creates a function, which searches for call and group call messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

  - ### onlyMissed

    public boolean onlyMissed
    Pass true to search only for messages with missed/declined calls.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchCallMessages

    public SearchCallMessages()
    Default constructor for a function, which searches for call and group call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

    Returns `FoundMessages`

  - ### SearchCallMessages

    public SearchCallMessages(String offset, int limit, boolean onlyMissed)
    Creates a function, which searches for call and group call messages. Returns the results in reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

    Returns `FoundMessages`

    Parameters:
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
      `onlyMissed` - Pass true to search only for messages with missed/declined calls.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundMessages>`
    Returns:
      this.CONSTRUCTOR